Protocol::Connection::Socket(3)

NAME
X11::Protocol::Connection::Socket - Perl module base class for IO::Socket-based X11 connections

SYNOPSIS
  package X11::Protocol::Connection::WeirdSocket;
  use X11::Protocol::Connection::Socket;
  @ISA = ('X11::Protocol::Connection::Socket')

DESCRIPTION
This module defines get(), give() and fh() methods common to X11::Protocol::Connection types that are based on IO::Socket. They expect the object they are called with to be a reference to an IO::Socket.

AUTHOR
Stephen McCamant <SMCCAM@cpan.org>.

SEE ALSO
perl(1), X11::Protocol, X11::Protocol::Connection::INETSocket, X11::Protocol::Connection::UNIXSocket, IO::Socket.